Bug 159894 - CAN-2005-1704 Integer overflow in the Binary File Descriptor (BFD) library
CAN-2005-1704 Integer overflow in the Binary File Descriptor (BFD) library
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: binutils (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Jelinek
: Security
Depends On:
Blocks: 156322
  Show dependency treegraph
Reported: 2005-06-08 17:21 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2005-673
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-05 08:44:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-06-08 17:21:07 EDT
Integer overflow in the BFD library for binutils allows attackers to
execute arbitrary code via a crafted object file that specifies a large number
of section headers, leading to a heap-based buffer overflow.
Comment 1 Josh Bressers 2005-06-08 17:21:44 EDT
This issue should also affect RHEL2.1 and RHEL3
Comment 8 Josh Bressers 2005-07-29 16:04:41 EDT
Adding this bug to the RHEL4 U2 Canfix list, it's fixed in the U2 package.
Comment 10 Red Hat Bugzilla 2005-10-05 08:44:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.